package com.zjrs.ggfw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.ggfw.rlzysc.dto.QyxxDTO;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.SyMapQyQueryDTO;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.ZjDTO;
import com.zjrs.ggfw.rlzysc.po.RsRlzyQyxxPO;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface QyxxMapper extends BaseMapper<RsRlzyQyxxPO> {

    public Map getJbxxglDwjbxx(String userid);
    public Map getQyxx(@Param("map") HashMap map);
    public Map getQyxxAndJbxx(@Param("map") HashMap map);
    public Map getSyQyxx(@Param("map") HashMap map);
    public Map getSyQyMc(@Param("map") HashMap map);
    public Map getYdzphs(@Param("map") HashMap map);
    public Map getFbgws(@Param("map") HashMap map);
    public Map getScjls(@Param("map") HashMap map);

    public List<Map<String,Object>> getMapQy(@Param("dto") ZjDTO dto);

    public List<Map<String,Object>> getMapZw(@Param("dto") SyMapQyQueryDTO dto);

    public Map validateQyxx(@Param("dto") QyxxDTO dto);
}

